Subject: Linking in InitiateSystemShutdown()...
From: [email-masked] ("Ryan C. Gordon")

25 Jan 1997 05:24:01 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
Comments: Authenticated sender is <[email-masked]>
Original-To: [email-masked]
X-mailer: Pegasus Mail for Windows (v2.23)
Original-Sender: [email-masked]

Ok, forgive a potentially stupid question, but in an attempt to 
figure out how the API InitiateSystemShutdown() works, I wrote an 
incredibly simplistic program...here it is:

#include <windows.h>

int main(void)
{
    InitiateSystemShutdown(NULL, "REBOOOOOOOT!", 5, FALSE, TRUE);
    return(0);
}

Now, when compiling, I get this:

C:\2\C>gcc testshutdown.c -o testshutdown.exe

C:\WINDOWS\TEMP/cc0010001.o(.text+0x26):testshutdown.c: undefined reference to `
InitiateSystemShutdownA@20'

How do I remedy this? Er...I'm running on a Win95 box, and I'm using 
version 17.1 of the development tools.

Much thanks,
--ryan.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".